<!doctype html>
<html lang="en">
  <head>
    <title>Admin Shopping Cart</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" >
  </head>
  <body>
    <div class="container">
      <nav class="navbar navbar-expand-sm navbar-dark bg-primary">
         <a class="navbar-brand" href="#">Navbar</a>
         <button
            class="navbar-toggler d-lg-none"
            type="button"
            data-toggle="collapse"
            data-target="#collapsibleNavId"
            aria-controls="collapsibleNavId"
            aria-expanded="false"
            aria-label="Toggle navigation"
         ></button>
         <div class="collapse navbar-collapse" id="collapsibleNavId">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
               <li class="nav-item active">
                  <a
                     class="nav-link"
                     href="./ShoppingCart/app/views/index.html"
                     >Product Shopping <span class="sr-only">(current)</span></a
                  >
               </li>
               <li class="nav-item">
                  <a class="nav-link" href="#">Link</a>
               </li>
               <li class="nav-item dropdown">
                  <a
                     class="nav-link dropdown-toggle"
                     href="#"
                     id="dropdownId"
                     data-toggle="dropdown"
                     aria-haspopup="true"
                     aria-expanded="false"
                     >Dropdown</a
                  >
                  <div class="dropdown-menu" aria-labelledby="dropdownId">
                     <a class="dropdown-item" href="#">Action 1</a>
                     <a class="dropdown-item" href="#">Action 2</a>
                  </div>
               </li>
            </ul>
         </div>
      </nav>

      <header class="display-4 my-4">Trang Admin </header>
      
      <ul class="nav nav-tabs" role="tablist">
         <li class="nav-item">
            <a
               class="nav-link active"
               href="#DanhSachSP"
               role="tab"
               data-toggle="tab"
               >Danh sách sản phẩm</a
            >
         </li>
      </ul>
      <br />
    
      <div class="tab-content">
        
         <div role="tabpanel" class="tab-pane in active" id="DanhSachSP">
            <div class="row">
               <div class="col-md-8">
                  
                  <button
                     id="btnThemSP"
                     class="btn btn-success"
                     data-toggle="modal"
                     data-target="#myModal"
                  >
                     <i class="fa fa-plus mr-1"></i>
                     Thêm Mới
                  </button>
                 
               </div>
               <div class="col-md-4">
                 
                  <div class="input-group mb-3">
                     <input
                        id="txtSearch"
                        type="text"
                        class="form-control"
                        placeholder="Nhập từ khóa"
                        aria-label="Recipient's username"
                        aria-describedby="basic-addon2"
                     />
                     <div class="input-group-append">
                        <span class="input-group-text" id="basic-addon2"
                           ><i class="fa fa-search"></i
                        ></span>
                     </div>
                  </div>
                 
               </div>
            </div>
            <div class="clear-fix"></div>
            <div class="tblSanPham" id="tblSanPham">
               
               <table class="table table-bordered">
                  <thead>
                     <th>STT</th>
                     <th>Tên Sản Phẩm</th>
                     <th>Giá</th>
                     <th>Hình Ảnh</th>
                     <th>Mô Tả</th>
                     <th>Màn Hình</th>
                     <th>Camera Sau</th>
                     <th>Camera Trước</th>
                     <th>Thương Hiệu</th>
                     <th>Thao Tác</th>
                  </thead>
                  <tbody id="tblDanhSachSP"></tbody>
               </table>
              
            </div>
            <br />
         </div>
         
      </div>

      
      <div class="modal fade" id="myModal">
         <div class="modal-dialog">
            <div class="modal-content">
               
               <div class="modal-header">
                  <h4 class="modal-title">Thêm Sản Phẩm</h4>
                  <button type="button" class="close" data-dismiss="modal">
                     &times;
                  </button>
               </div>
               
               <div class="modal-body">
                  
                  <input type="text" id="MaSP" hidden />

                  <div class="form-group">
                     <label>Tên Sản Phẩm</label>
                     <input
                        id="TenSP"
                        class="form-control"
                        placeholder="Nhập vào tên sản phẩm"
                     />
                     <p class="tb tbTenSp"></p>
                  </div>
                  <div class="form-group">
                     <label>Giá</label>
                     <input
                        id="GiaSP"
                        class="form-control"
                        placeholder="Nhập vào giá"
                     />
                     <p class="tb tbGiaSp"></p>
                  </div>
                  <div class="form-group">
                     <label>Hình Ảnh</label>
                     <input
                        id="HinhSP"
                        class="form-control"
                        placeholder="Nhập vào hình sản phẩm"
                     />
                     <p class="tb tbHinhAnhSp"></p>
                  </div>
                  <div class="form-group">
                     <label for="">Mô tả: </label>
                     <input
                        id="MoTaSP"
                        class="form-control"
                        placeholder="Nhập vào mô tả sản phẩm"
                     />
                     <p class="tb tbMoTaSp"></p>

                   
                  </div>
                  <div class="form-group">
                     <label>Màn Hình</label>
                     <input
                        id="ManHinh"
                        class="form-control"
                        placeholder="Nhập vào màn hình"
                     />
                     <p class="tb tbManHinhSp"></p>
                  </div>
                  <div class="form-group">
                     <label>Camera Sau</label>
                     <input
                        id="PhanGiai"
                        class="form-control"
                        placeholder="Nhập vào Camera Sau"
                     />
                  </div>
                  <p class="tb tbPhanGiaiSp"></p>
                  <div class="form-group">
                     <label>Camera Trước</label>
                     <input
                        id="CamTruoc"
                        class="form-control"
                        placeholder="Nhập vào camera trước"
                     />
                     <p class="tb tbCamSp"></p>
                  </div>
                  <div class="form-group">
                     <label>Thương Hiệu</label>
                     <input
                        id="ThuongHieu"
                        class="form-control"
                        placeholder="Nhập vào thương hiệu"
                     />
                     <p class="tb tbThuongHieuSp"></p>
                  </div>
               </div>
               <!-- Modal footer -->
               <div class="modal-footer">
                <button class="btn btn-primary" data-type="add">
                  Thêm
                </button>
                <button class="btn btn-secondary" data-toggle="modal" data-target="#myModal">
                  Huỷ
                </button>
              </div>
   <div id="container"></div>
   

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" ></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" ></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
      <script src="https://code.highcharts.com/modules/series-label.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- main js -->
    <script src="../admin/js/model/Product.js">
      
    </script>
    <script src="../admin/js/model/productAPI.js">
      
    </script>
    <script src="../admin/js/main.js"></script>
  </body>
</html>